@import url(../../global/style.css);

:root {
    --cor-principal: #9d070d;
    --cor-escura: #312f30;
    --cor-clara: #f4f4f4;
}

main {
    width: 100%;
    padding: 50px 10% 0 10%;
}

.title {
    h1 {
        font-size: 1.8vw;
        font-weight: 800;
        color: var(--cor-principal);
        text-align: start;
    }

    p {
        padding-top: 50px;
        text-align: center;
        font-size: 1vw;

        span {
            font-size: 1vw;
            font-weight: 700;
        }
    }
}

.products {
    text-align: center;
    padding-top: 100px;

    h2 {
        font-size: 2.5vw;
        font-weight: 800;
        color: var(--cor-principal);
    }

    p {
        padding: 50px;
        font-size: 1vw;

        span {
            font-size: 1vw;
            font-weight: bold;
        }
    }

    .products-list {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: space-between;

        .products-list-item {
            width: 20vw;
            height: 100%;
            padding: 0.6vw;
            border: 1px solid var(--cor-principal);

            .products-list-item-image {
                position: relative;
                height: 70%;
                background-color: var(--cor-clara);

                img {
                    width: 100%;
                }

                .products-list-item-image-icon {
                    position: absolute;
                    bottom: 3px;
                    height: 15%;
                    width: 15%;
                    background: #9d070d;
                    padding: 10%;
                    display: flex;
                    align-items: center;
                    justify-content: center;

                    img {
                        width: 2.5vw;
                    }
                }
            }

            .products-list-item-text {
                background-color: var(--cor-clara);

                h2 {
                    padding-top: 5px;
                    font-size: 1.2vw;
                    font-weight: bold;
                    color: var(--cor-escura);
                }

                h3 {
                    padding: 15px 0 18px 0;
                    font-size: 1vw;
                    font-weight: 300;
                }

                .products-list-item-text-link {
                    padding-bottom: 10px;

                    a {
                        font-size: 0.7vw;
                        font-weight: bold;
                        color: var(--cor-principal);
                    }

                    svg {
                        margin-left: 1%;
                        width: 0.6vw;
                    }
                }
            }
        }

        .products-list-item:hover {
            width: 22vw;
            transition: 0.2s;
        }
    }

    .products-list:nth-child(2) {
        padding-top: 50px;
    }
}

@media screen and (max-width: 800px) {
    main {
        padding: 30px 3% 0 3%;
    }

    .title {
        h1 {
            font-size: 15px;
        }

        p {
            padding-top: 30px;
            text-align: center;
            font-size: 12px;

            span {
                font-size: 12px;
            }
        }
    }

    .products {
        padding-top: 0px;

        .products-list {
            width: 100%;
            display: flex;
            flex-direction: column;
            align-items: center;

            .products-list-item {
                width: 70vw;
                margin-top: 30px;
                padding: 1vw;

                .products-list-item-image {


                    .products-list-item-image-icon {
                        height: 15%;
                        width: 15%;
                        padding: 10%;

                        img {
                            width: 10vw;
                        }
                    }
                }

                .products-list-item-text {
                    background-color: var(--cor-clara);

                    h2 {
                        font-size: 15px;
                    }

                    h3 {
                        padding: 15px 0 18px 0;
                        font-size: 12px;
                        font-weight: 300;
                    }

                    .products-list-item-text-link {
                        padding-bottom: 10px;

                        a {
                            font-size: 10px;
                            font-weight: bold;
                            color: var(--cor-principal);
                        }

                        svg {
                            margin-left: 1%;
                            width: 7px;
                        }
                    }
                }
            }

            .products-list-item:hover {
                width: 75vw;
            }
        }

        .products-list:nth-child(2) {
            padding-top: 0px;

        }
    }
}